rhythmbox assert failure: RhythmDB:ERROR:rhythmdb-property-model.c:705:rhythmdb_property_model_delete_prop: assertion failed: ((ptr = g_hash_table_lookup (model->priv->reverse_map, propstr)))

Bug #429030 reported by Jack Leigh on 2009-09-13
72
This bug affects 13 people
Affects Status Importance Assigned to Milestone
Rhythmbox
Fix Released
Critical
rhythmbox (Ubuntu)
Medium
Ubuntu Desktop Bugs

Bug Description

Binary package hint: rhythmbox

trying to use the search bar just after opening; while it was still searching for tracks?

ProblemType: Crash
Architecture: i386
AssertionMessage: RhythmDB:ERROR:rhythmdb-property-model.c:705:rhythmdb_property_model_delete_prop: assertion failed: ((ptr = g_hash_table_lookup (model->priv->reverse_map, propstr)))
CrashCounter: 1
Date: Sun Sep 13 20:30:38 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/rhythmbox
Package: rhythmbox 0.12.4-2ubuntu1
ProcCmdline: rhythmbox
ProcEnviron:
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
Signal: 6
SourcePackage: rhythmbox
StacktraceTop:
 raise () from /lib/libc.so.6
 abort () from /lib/libc.so.6
 g_assertion_message () from /usr/lib/libglib-2.0.so.0
 g_assertion_message_expr () from /usr/lib/libglib-2.0.so.0
 ?? () from /usr/lib/librhythmbox-core.so.0
Title: rhythmbox assert failure: RhythmDB:ERROR:rhythmdb-property-model.c:705:rhythmdb_property_model_delete_prop: assertion failed: ((ptr = g_hash_table_lookup (model->priv->reverse_map, propstr)))
Uname: Linux 2.6.31-10-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

Jack Leigh (leighman) wrote :

StacktraceTop:*__GI_raise (sig=6)
*__GI_abort () at abort.c:92
IA__g_assertion_message (domain=0x8cf3d8 "RhythmDB",
IA__g_assertion_message_expr (domain=0x8cf3d8 "RhythmDB",
rhythmdb_property_model_delete_prop (model=0x9bd5388,

Changed in rhythmbox (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Pedro Villavicencio (pedro) wrote :

Thanks for the report, trace matches https://bugzilla.gnome.org/show_bug.cgi?id=527898 ; linking the report.

Changed in rhythmbox (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
status: New → Triaged
visibility: private → public
Anthony Hook (anthonyhook) wrote :

I had this problem when leaving Rhythmbox playing a playlist for the night.

_sRg_ (sor-sergey) wrote :

Rhythmbox 0.12.5 was playing a song when I decided to switch to other one and typed first three letters of it's name. Then program window freezed and closed with this bug report.

Sebastien Bacher (seb128) wrote :

the bug has been fixed upstream now

Changed in rhythmbox (Ubuntu):
status: Triaged → Fix Committed

> the bug has been fixed upstream now

Not fixed for me. What should I do to fix this?

2010/3/16 Sebastien Bacher <email address hidden>

> the bug has been fixed upstream now
>
> ** Changed in: rhythmbox (Ubuntu)
> Status: Triaged => Fix Committed
>
> --
> rhythmbox assert failure:
> RhythmDB:ERROR:rhythmdb-property-model.c:705:rhythmdb_property_model_delete_prop:
> assertion failed: ((ptr = g_hash_table_lookup (model->priv->reverse_map,
> propstr)))
> https://bugs.launchpad.net/bugs/429030
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Rhythmbox Music Management Application: Unknown
> Status in “rhythmbox” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: rhythmbox
>
> trying to use the search bar just after opening; while it was still
> searching for tracks?
>
> ProblemType: Crash
> Architecture: i386
> AssertionMessage:
> RhythmDB:ERROR:rhythmdb-property-model.c:705:rhythmdb_property_model_delete_prop:
> assertion failed: ((ptr = g_hash_table_lookup (model->priv->reverse_map,
> propstr)))
> CrashCounter: 1
> Date: Sun Sep 13 20:30:38 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/rhythmbox
> Package: rhythmbox 0.12.4-2ubuntu1
> ProcCmdline: rhythmbox
> ProcEnviron:
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
> Signal: 6
> SourcePackage: rhythmbox
> StacktraceTop:
> raise () from /lib/libc.so.6
> abort () from /lib/libc.so.6
> g_assertion_message () from /usr/lib/libglib-2.0.so.0
> g_assertion_message_expr () from /usr/lib/libglib-2.0.so.0
> ?? () from /usr/lib/librhythmbox-core.so.0
> Title: rhythmbox assert failure:
> RhythmDB:ERROR:rhythmdb-property-model.c:705:rhythmdb_property_model_delete_prop:
> assertion failed: ((ptr = g_hash_table_lookup (model->priv->reverse_map,
> propstr)))
> Uname: Linux 2.6.31-10-generic i686
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/rhythmbox/+bug/429030/+subscribe
>
>

Nigel Babu (nigelbabu) wrote :

You can wait, it has only been fixed upstream. Should be fixed downstream soon.

_sRg_ (sor-sergey) wrote :

OK, thank you. Great army of Ubuntu users is waiting for this downstream.

2010/3/16 Nigel Babu <email address hidden>

> You can wait, it has only been fixed upstream. Should be fixed
> downstream soon.
>
> --
> rhythmbox assert failure:
> RhythmDB:ERROR:rhythmdb-property-model.c:705:rhythmdb_property_model_delete_prop:
> assertion failed: ((ptr = g_hash_table_lookup (model->priv->reverse_map,
> propstr)))
> https://bugs.launchpad.net/bugs/429030
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Rhythmbox Music Management Application: Unknown
> Status in “rhythmbox” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: rhythmbox
>
> trying to use the search bar just after opening; while it was still
> searching for tracks?
>
> ProblemType: Crash
> Architecture: i386
> AssertionMessage:
> RhythmDB:ERROR:rhythmdb-property-model.c:705:rhythmdb_property_model_delete_prop:
> assertion failed: ((ptr = g_hash_table_lookup (model->priv->reverse_map,
> propstr)))
> CrashCounter: 1
> Date: Sun Sep 13 20:30:38 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/rhythmbox
> Package: rhythmbox 0.12.4-2ubuntu1
> ProcCmdline: rhythmbox
> ProcEnviron:
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
> Signal: 6
> SourcePackage: rhythmbox
> StacktraceTop:
> raise () from /lib/libc.so.6
> abort () from /lib/libc.so.6
> g_assertion_message () from /usr/lib/libglib-2.0.so.0
> g_assertion_message_expr () from /usr/lib/libglib-2.0.so.0
> ?? () from /usr/lib/librhythmbox-core.so.0
> Title: rhythmbox assert failure:
> RhythmDB:ERROR:rhythmdb-property-model.c:705:rhythmdb_property_model_delete_prop:
> assertion failed: ((ptr = g_hash_table_lookup (model->priv->reverse_map,
> propstr)))
> Uname: Linux 2.6.31-10-generic i686
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/rhythmbox/+bug/429030/+subscribe
>
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 0.12.7-0ubuntu6

---------------
rhythmbox (0.12.7-0ubuntu6) lucid; urgency=low

  * debian/rhythmbox.manpages, debian/rhythmbox.1, debian/rhythmbox-client.1:
    - don't install those in the debian directory since they are upstream too
  * debian/patches/91_git_mtp_schemas.patch:
    - git change to define the mtp options schemas so it's actived and working
  * debian/patches/92_git_stop_playback_on_delete.patch:
    - git change to fix a crasher on source change (lp: #148361)
  * debian/patches/93_git_ipod_crasher.patch:
    - git change to fix a crasher when some filenames are copied to ipods
      (lp: #476167)
  * debian/patches/94_git_no_entry_view_crasher.patch:
    - git change to fix a crasher happening sometime when going to
      the playing song (lp: #507608)
  * debian/patches/95_git_correctly_update_names.patch:
    - git change to update sort and display names in correct order (lp: #532538)
  * debian/patches/96_git_subsequent_commits.patch:
    - git change to fix another crasher (lp: #429030)
  * debian/patches/97_git_stop_podcast_download_no_error.patch:
    - git change, don't handle podcast download stop as an error

  [ Ken VanDine ]
  * debian/patches/82_rhythmbox-indicators.patch
    - update from Jan Arne Petersen to remove some work arounds
      that were needed prior to libappindicator 0.0.16
 -- Sebastien Bacher <email address hidden> Fri, 19 Mar 2010 00:29:49 +0100

Changed in rhythmbox (Ubuntu):
status: Fix Committed → Fix Released
Changed in rhythmbox:
status: Unknown → Fix Released
Changed in rhythmbox:
importance: Unknown → Critical
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.